/* A demo that shows the use of push buttons.

   Written by Mark Overmars

   Date 29 Apr 1991
*/

#include "forms.h"

FL_FORM *form;
FL_OBJECT *but[8], *box[8], *exitbut;

void makeform()
{
  int i;
  form = fl_bgn_form(FL_UP_BOX,400.0,400.0);
  for (i=0; i<8; i++)
  {
    but[i] = fl_add_button(FL_PUSH_BUTTON,40.0,60.0+40.0*i,80.0,30.0,"");
    fl_set_object_color(but[i],i+1,i+1);
    box[i] = fl_add_box(FL_DOWN_BOX,150.0+30.0*i,40.0,25.0,320.0,"");
    fl_set_object_color(box[i],i+1,i+1);
    fl_hide_object(box[i]);
  }
  exitbut = fl_add_button(FL_NORMAL_BUTTON,40.0,20.0,80.0,30.0,"Exit");
  fl_end_form();
}

main()
{ 
  FL_OBJECT *obj;
  int i;
  fl_init();
  makeform();
  fl_show_form(form,FL_PLACE_CENTER,FALSE,NULL);
  do
  {
    obj = fl_do_forms();
    for (i=0; i<8; i++)
      if (obj == but[i])
	if (box[i]->visible) fl_hide_object(box[i]);else fl_show_object(box[i]);
  } while (obj != exitbut);
  fl_hide_form(form);
}
